using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;
using System.Text;

namespace  WCHtmlEditor
{
	/// <summary>
	/// This control is used to display html content
	/// </summary>
	[DefaultProperty("Text"),
		ToolboxData("<{0}:HtmlLabel runat=server></{0}:HtmlLabel>")]
	public class HtmlLabel : System.Web.UI.WebControls.WebControl
	{
	
		[Bindable(true),
			Category("Appearance"),
			DefaultValue("")]
		public string Text
		{

			set
			{
				this.ViewState["text"] = value;
			}
		}

		/// <summary>
		/// Render this control to the output parameter specified.
		/// </summary>
		/// <param name="output"> The HTML writer to write out to </param>
		protected override void Render(HtmlTextWriter output)
		{
			StringBuilder oBuilder = new StringBuilder();
			if(this.ViewState["text"]!=null)
			{
				string strText=(string)this.ViewState["text"];
				if(strText!=null)
				{
					string strCss=this.CssClass;
					string[] fString ={this.CssClass,this.Width.ToString(),strText};
					oBuilder.AppendFormat("<table class=\"{0}\" width=\"{1}\"><tr><td>{2}</td></tr></table>", fString );
				}
		
			}
			string strTemp=oBuilder.ToString();
			output.Write(oBuilder.ToString());
		}
	}
}
